# Class CIM_HostedClusterSAP
extends CIM_HostedAccessPoint

HostedClusterSAP defines the hosting ComputerSystem for a ClusteringSAP. Since this relationship is subclassed from HostedAccessPoint, it inherits the scoping/naming scheme defined for AccessPoint - where an AccessPoint is weak to its hosting System. In this case, a ClusteringSAP must be weak to its hosting ComputerSystem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedAccessPoint
|
+--CIM_HostedClusterSAP

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | HostedClusterSAP defines the hosting ComputerSystem for a ClusteringSAP. Since this relationship is subclassed from HostedAccessPoint, it inherits the scoping/naming scheme defined for AccessPoint - where an AccessPoint is weak to its hosting System. In this case, a ClusteringSAP must be weak to its hosting ComputerSystem.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedClusterSAP | CIM_ComputerSystem
Dependent | CIM_HostedClusterSAP | CIM_ClusteringSAP

## Class Methods